Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 1552)
@@ -20,18 +20,12 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.OperationCanceledException;
-import org.eclipse.core.runtime.Status;
-import org.eclipse.core.runtime.jobs.IJobChangeEvent;
-import org.eclipse.core.runtime.jobs.JobChangeAdapter;
 import org.eclipse.equinox.internal.p2.ui.sdk.ProvSDKMessages;
 import org.eclipse.equinox.internal.p2.ui.sdk.UpdateHandler;
 import org.eclipse.equinox.p2.core.IProvisioningAgent;
 import org.eclipse.equinox.p2.core.ProvisionException;
 import org.eclipse.equinox.p2.engine.IProfileRegistry;
 import org.eclipse.equinox.p2.operations.ProfileChangeOperation;
-import org.eclipse.equinox.p2.operations.ProvisioningJob;
-import org.eclipse.equinox.p2.operations.RemediationOperation;
-import org.eclipse.equinox.p2.operations.RemedyConfig;
 import org.eclipse.equinox.p2.operations.RepositoryTracker;
 import org.eclipse.equinox.p2.operations.UpdateOperation;
 import org.eclipse.equinox.p2.repository.artifact.IArtifactRepositoryManager;
@@ -39,15 +33,11 @@
 import org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Shell;
-import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.statushandlers.StatusManager;
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Activator;
-import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.rcp.preferences.AdvancedPreferencePage;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
@@ -70,9 +60,9 @@
 			if (path != null) {
 				try {
 					File installDirectory = new File(new URI(path).toURL().getFile());
-					Log.info("Testing install directory rights: "+installDirectory);
+					Log.fine("Testing install directory rights: "+installDirectory);
 					if (!installDirectory.canWrite() || !installDirectory.canExecute()) {
-						System.out.println("Warning: you need admin privilège to fully update TXM. Some updates might not be fully installed.");
+						Log.warning("Warning: you need administrator privileges to fully update TXM. Some updates might not be fully installed.");
 					}
 				} catch (Exception e) {
 					// TODO Auto-generated catch block
@@ -102,7 +92,7 @@
 				InputStream s = baseURL.openStream();
 				s.close();
 			} catch(Exception e) {
-				System.out.println("Update site is not reachable: "+baseURL+", aborting.");
+				Log.severe("Update site is not reachable: "+baseURL+", aborting.");
 				return false;
 			}
 
@@ -112,13 +102,13 @@
 			// add alpha and beta repos if needed
 			// from bundle org.eclipse.equinox.p2.console
 
-			Log.warning("Looking for TXM updates...");
+			Log.info("Looking for TXM updates...");
 			Object ret = super.execute(event);
-			Log.warning("Done.");
+			Log.info("Done.");
 			
 			return ret;
 		} catch(Exception e) {
-			System.out.println("Could not update TXM: "+e);
+			Log.severe("Could not update TXM: "+e + ".");
 			Log.printStackTrace(e);
 		}
 		return null;
@@ -148,7 +138,7 @@
 		//File txmConfigDir = new File("/home/mdecorde/.txm"); // test only
 		File profileDir = new File(txmConfigDir, "p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile");
 
-		Log.info("Looking for profile in : "+txmConfigDir);
+		Log.fine("Looking for profile in : "+txmConfigDir);
 		//System.out.println(txmConfigDir);
 		//System.out.println(profileDir);
 
@@ -184,7 +174,7 @@
 					Log.severe("Could not delete temporary profile XML file: "+profileXMLFile);
 					return false;
 				}
-				Log.info("Profile archive patched: "+gzFile);
+				Log.fine("Profile archive patched: "+gzFile);
 				return true;
 			} catch (IOException e) {
 				Log.severe("Failed to fix profile file: "+e);
@@ -220,7 +210,7 @@
 		} else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.info("Update levels: dev="+devMode+" alpha="+alphaMode+" beta="+betaMode);
+		Log.fine("Update levels: dev="+devMode+" alpha="+alphaMode+" beta="+betaMode);
 
 		String uriDev = uriBase+"/dev";//$NON-NLS-1$
 		try {
@@ -288,7 +278,7 @@
 		} else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.info("Update levels: dev="+devMode+" alpha="+alphaMode+" beta="+betaMode);
+		Log.fine("Update levels: dev="+devMode+" alpha="+alphaMode+" beta="+betaMode);
 
 		String uriDev = uriBase+"/dev";//$NON-NLS-1$
 		try {
@@ -343,19 +333,19 @@
 			return false;
 		}
 		
-		Log.info("Add update URL: "+location);
+		Log.info("Adding update site URL: "+location + "...");
 
 		try {
 			//manager.removeRepository(location)
 			manager.loadRepository(location, null);
 		} catch (Exception e) {
-			System.out.println("No repo - create a newmetadata repo");
+			Log.severe("No repo - create a newmetadata repo");
 			// for convenience create and add a repository here
 			String repositoryName = location + " - metadata";
 			try {
 				manager.createRepository(location, repositoryName, IMetadataRepositoryManager.TYPE_SIMPLE_REPOSITORY, null);
 			} catch (ProvisionException e2) {
-				System.out.println("Error while adding metadata repo: "+location);
+				Log.severe("Error while adding metadata repo: "+location);
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -369,11 +359,11 @@
 			// could not load a repo at that location so create one as a convenience
 			String repositoryName = location + " - artifacts";
 			try {
-				System.out.println("No repo - create a new artifact repo");
+				Log.severe("No repo - create a new artifact repo");
 				manager.createRepository(location, repositoryName, IArtifactRepositoryManager.TYPE_SIMPLE_REPOSITORY, null);
 				return true;
 			} catch (Exception e2) {
-				System.out.println("Error while adding artifact repo: "+location);
+				Log.severe("Error while adding artifact repo: "+location);
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -385,11 +375,11 @@
 		IArtifactRepositoryManager manager2 = (IArtifactRepositoryManager) agent.getService(IArtifactRepositoryManager.SERVICE_NAME);
 
 		if (manager == null) {
-			System.out.println("No metadata repository manager found");
+			Log.severe("No metadata repository manager found");
 			return false;
 		}
 		if (manager2 == null) {
-			System.out.println("No artifact repository manager found");
+			Log.severe("No artifact repository manager found");
 			return false;
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/InstallPluginHandler.java	(revision 1552)
@@ -60,7 +60,7 @@
 			} else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 				betaMode = true;
 			}
-			Log.info("Update levels: alpha="+alphaMode+" beta="+betaMode); //$NON-NLS-1$ //$NON-NLS-2$
+			Log.fine("Update levels: alpha="+alphaMode+" beta="+betaMode); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			Version v = Activator.getDefault().getBundle().getVersion();
 			String version =  ""+v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 1552)
@@ -83,15 +83,14 @@
 				try {
 					Desktop.getDesktop().open(man);
 				} catch (IOException e) {
-					System.out.println("Error: manual not opened: "+e);
+					Log.severe("Error: manual not opened: "+e);
 					Log.printStackTrace(e);
 				}
 			} else {
-				System.out.println("Error: manual not found: "+man.getAbsolutePath());
 				Log.severe("Error: manual not found: "+man.getAbsolutePath());
 			}
 		} catch (Throwable e) {
-			System.out.println("Error: manual not opened: "+e);
+			Log.severe("Error: manual not opened: "+e);
 			Log.printStackTrace(e);
 		}
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 1552)
@@ -71,7 +71,7 @@
 			try {
 				url.openStream().close();
 			} catch (IOException e) {
-				Log.info(e.getMessage());
+				Log.severe(e.getMessage());
 				Log.printStackTrace(e);
 				urlString = "http://textometrie.ens-lyon.fr/html/welcome/"+version+"/en/welcome.html";
 				url = new URL(urlString);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1552)
@@ -72,17 +72,17 @@
 		}
 
 		if (!canLoad(zipFile)) {
-			Log.info(NLS.bind(TXMUIMessages.binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
+			Log.severe(NLS.bind(TXMUIMessages.binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
 			return null;
 		}
 
-		System.out.println(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM080Corpus, zipFile.getName()));
+		Log.info(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM080Corpus, zipFile.getName()));
 
 		try {
 			//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 			Zip.decompress(zipFile, Toolbox.workspace.getLocation(), false, monitor);
 		} catch (Exception e) {
-			System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColon, e));
+			Log.severe(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusColon, e));
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 			return null;
 		}
@@ -98,7 +98,7 @@
 			String mainCorpusName = mainCorpusDirs[0].getName();
 			p = Toolbox.workspace.getProject(mainCorpusName);
 			if (p != null) {
-				System.out.println(NLS.bind("Aborting loading of {0}. A corpus with the same {1} CQP MainCorpus name already exists.", corpusDirectory, mainCorpusName));
+				Log.severe(NLS.bind("Aborting loading of {0}. A corpus with the same {1} CQP MainCorpus name already exists.", corpusDirectory, mainCorpusName));
 				DeleteDir.deleteDirectory(corpusDirectory); // clean files
 				return null;
 			}
@@ -107,7 +107,7 @@
 		Project newProject = loadBinaryCorpusAsDirectory(corpusDirectory);
 		if (newProject == null) {
 			DeleteDir.deleteDirectory(corpusDirectory); // clean files
-			System.out.println(TXMUIMessages.failedToLoadBinaryCorpusNullError);
+			Log.severe(TXMUIMessages.failedToLoadBinaryCorpusNullError);
 			return null;
 		}
 
@@ -125,7 +125,6 @@
 	public static Project loadBinaryCorpusAsDirectory(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
 			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 1552)
@@ -92,7 +92,7 @@
 			try {
 				url.openStream().close();
 			} catch (Exception e) {
-				Log.info(e.getMessage());
+				Log.severe(e.getMessage());
 				Log.printStackTrace(e);
 				return alternativeUrl;
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1552)
@@ -823,7 +823,7 @@
 		if (metadataFile.exists())
 			this.editor.getMetaPage().setMetadataFile(metadataFile);
 
-		Log.info(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
+		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
 		this.setPartName(project.getName());
 
 		if (infosSection != null && !infosSection.isDisposed()) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1552)
@@ -102,9 +102,9 @@
 		if (propFile.exists()) {
 			try {
 				defaultValues.load(new FileReader(propFile));
-				Log.info("Retrieve previous macro parameters from "+propFile+" values="+defaultValues.entrySet());
+				Log.info("Retrieving previous macro parameters from "+propFile+" values="+defaultValues.entrySet() + "...");
 			} catch (Exception e) {
-				System.out.println("Failed to load previous values from "+propFile+": "+e);
+				Log.severe("Failed to load previous values from "+propFile+": "+e);
 				Log.printStackTrace(e);
 			}
 		}
@@ -126,7 +126,7 @@
 				try {
 					value = DateField.formater.parse(stringValue);
 				} catch (ParseException e) {
-					System.out.println("Wrong default date format: "+stringValue+". Waiting for: "+DateField.STRINGFORMAT+". Error = "+e);
+					Log.severe("Wrong default date format: "+stringValue+". Waiting for: "+DateField.STRINGFORMAT+". Error = "+e + ".");
 					value = new Date();
 				}
 			}  else if ("Time".equals(widgetName)) { //$NON-NLS-1$
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1551)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1552)
@@ -15,6 +15,7 @@
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.swt.SwingChartComposite;
 import org.txm.chartsengine.svgbatik.rcp.swing.SVGPanel;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.svg.SVGDocument;
 
@@ -57,7 +58,7 @@
 			return;
 		}
 		this.file = file;
-		Log.info("Loading SVG document from file: " + file.getAbsolutePath());
+		Log.info(TXMCoreMessages.bind("Loading SVG document from file: {0}...", file.getAbsolutePath()));
 		try {
 			this.getPanel().loadSVGDocument(file.toURL().toExternalForm());
 		}
Index: tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 1551)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 1552)
@@ -27,7 +27,7 @@
 
 	public void install() {
 		
-		Log.info("Dictionary.DoInstallStep.install()");
+		Log.fine("Dictionary.DoInstallStep.install()");
 		
 		String saved = DictionaryPreferences.getInstance().getString(DictionaryPreferences.VERSION);
 		Version currentVersion = BundleUtils.getBundleVersion("Dictionary");
@@ -35,7 +35,7 @@
 		if (saved != null && saved.length() > 0) {
 			Version savedVersion = new Version(saved);
 			if (currentVersion.compareTo(savedVersion) <= 0) {
-				Log.info("No post-installation of Dictionary to do.");
+				Log.fine("No post-installation of Dictionary to do.");
 				//System.out.println("No post-installation of Dictionary to do.");
 				return; // nothing to do
 			}
@@ -44,11 +44,11 @@
 		
 		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro");
 		if (!BundleUtils.copyFiles("Dictionary", "src", "org/txm/macro/", "frolex", macroDirectory)) {
-			System.out.println("Error while coping Dictionary org/txm/macro/frolex in "+macroDirectory.getAbsolutePath());
+			Log.severe("Error while coping Dictionary org/txm/macro/frolex in "+macroDirectory.getAbsolutePath());
 			return;
 		}
 		
-		Log.warning("Dictionary post-installation done.");
+		Log.fine("Dictionary post-installation done.");
 		DictionaryPreferences.getInstance().put(DictionaryPreferences.VERSION, currentVersion.toString());
 		return;
 	}
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1552)
@@ -576,13 +576,13 @@
 
 		File workspaceFile = new File(txmhomedir, "corpora/.metadata");
 		Version currentVersion = BundleUtils.getBundleVersion("org.txm.core");
-		Log.info("Current toolbox version: " + currentVersion + ".");
+		Log.info(TXMCoreMessages.bind("Current toolbox version: {0}.", currentVersion));
 		String installedVersionString = getPreference(TBXPreferences.VERSION);
 		if (installedVersionString.isEmpty()) {
 			installedVersionString = "0.0.0";
 		}
 		Version installedVersion = new Version(installedVersionString);
-		Log.info("Installed toolbox version: " + installedVersion + ".");
+		Log.info(TXMCoreMessages.bind("Installed toolbox version: {0}.", installedVersion));
 		try {
 			//System.out.println("Toolbox.startWorkspace(): workspace location = " + location);
 
@@ -591,7 +591,7 @@
 			// no directory
 			if (!workspaceFile.exists()) {
 
-				Log.info(NLS.bind(TXMCoreMessages.noWorkspaceFoundCreatingANewOneP0, workspaceFile)); 
+				Log.severe(NLS.bind(TXMCoreMessages.noWorkspaceFoundCreatingANewOneP0, workspaceFile)); 
 
 				// create or update the workspace & create TXM default.xml workspace file
 				Toolbox.workspace = createOrUpdate(new File(txmhomedir)); //$NON-NLS-1$
@@ -726,13 +726,13 @@
 			String path = Toolbox.getPreference(TBXPreferences.INSTALL_DIR);
 			File installDirectory = new File(path);
 			if (!installDirectory.exists()) {
-				System.out.println("Error: Workspace cannot found install directory: "+installDirectory.getAbsolutePath());
+				Log.severe("Error: Workspace cannot found install directory: "+installDirectory.getAbsolutePath());
 				return null;
 			}
 
 			File redistDirectory = new File(installDirectory, "redist");
 			if (!redistDirectory.exists()) {
-				System.err.println("Warning: Workspace cannot found redist directory: "+redistDirectory.getAbsolutePath());
+				Log.severe("Warning: Workspace cannot found redist directory: "+redistDirectory.getAbsolutePath());
 			} else {
 				FileCopy.copyFiles(redistDirectory, txmhomedir);
 			}
@@ -748,10 +748,10 @@
 			//System.out.println("contributions: "+Arrays.toString(contributions));
 			for (int i = 0; i < contributions.length; i++) {
 				try {
-					Log.info("Registering engine: "+contributions[i].getName());
+					Log.fine(TXMCoreMessages.bind("Registering engine: {0}...", contributions[i].getName()));
 					PostTXMHOMEInstallationStep extp = (PostTXMHOMEInstallationStep)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 					if (!extp.install(workspace)) {
-						System.out.println("Fail to install "+extp.getName()+" files in "+workspace.getLocation());
+						Log.severe("Fail to install "+extp.getName()+" files in "+workspace.getLocation());
 					}
 				} catch(CoreException e) {
 					e.printStackTrace();
@@ -761,7 +761,6 @@
 			return workspace;
 		} catch (Exception e) {
 			Log.severe(NLS.bind(TXMCoreMessages.failedToCopyTXMFilesFromTXMINSTALLDIRToTXMHOMEColonP0, e.getLocalizedMessage()));
-			System.err.println(NLS.bind(TXMCoreMessages.failedToCopyTXMFilesFromTXMINSTALLDIRToTXMHOMEColonP0, e.getLocalizedMessage()));
 			e.printStackTrace();
 			return null;
 		}
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1552)
@@ -2450,7 +2450,7 @@
 		if (monitor != null) {
 			monitor.setCanceled(value);
 		}
-		Log.info("Canceling command.");
+		Log.info("Canceling command...");
 	}
 
 	@Override
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 1552)
@@ -62,7 +62,7 @@
 				@SuppressWarnings("unchecked")
 				T e = (T) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 
-				Log.info("Initializing engine: " + e);
+				Log.fine("Initializing engine: " + e);
 
 				if (e.initialize()) {
 					this.put(e.getName(), e);
@@ -88,7 +88,7 @@
 		for (Engine engine : this.values()) {
 
 			String log = "Starting " + this.getEnginesDescription() + " engine: " + engine.getName() + "...";
-			Log.info(log);
+			Log.fine(log);
 
 			if (monitor != null) {
 				monitor.subTask(log);
@@ -128,7 +128,7 @@
 	public boolean stopEngines() {
 		for (Engine engine : this.values()) {
 
-			Log.finest("Stopping " + this.getEnginesDescription() + " engine: " + engine.getName() + "..."); //$NON-NLS-1$
+			Log.fine("Stopping " + this.getEnginesDescription() + " engine: " + engine.getName() + "..."); //$NON-NLS-1$
 
 			try {
 				engine.stop();
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1552)
@@ -204,14 +204,14 @@
 	 * @return the page for word id
 	 */
 	public Page getPageForWordId(String idx) {
-		Log.info("Page.getPageForWordId(): "+idx);
+		Log.fine("Page.getPageForWordId(): "+idx);
 		Page lastpage = null;
 		for (Page p : pages) {
 			String s = p.getWordId();
-			Log.info(p.name+": "+s+" >? "+idx);
+			Log.fine(p.name+": "+s+" >? "+idx);
 			//			if (getInt(s) > getInt(idx)) {
 			if (isFirstGTthanSecond(s, idx) > 0) {
-				Log.info("page found: "+lastpage);
+				Log.fine("page found: "+lastpage);
 				return lastpage;
 			}
 
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1552)
@@ -380,13 +380,13 @@
 	 */
 	public void loadProjectsFromProjectScopes()	{
 
-		Log.finest("Toolbox.initialize(): reloading projects...");
+		Log.fine("Toolbox.initialize(): reloading projects...");
 		
 		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
 		IProject projects[] = rcpWorkspace.getRoot().getProjects();
 		
-		Log.info("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
-		LogMonitor monitor = new LogMonitor("Workspace project init.");
+		Log.fine("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
+		LogMonitor monitor = new LogMonitor("Workspace projects initialization.");
 		for (IProject project : projects) {
 			try {
 				project.open(monitor);
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1551)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1552)
@@ -370,11 +370,11 @@
 		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
 		//	IProject projects[] = rcpWorkspace.getRoot().getProjects();
 
-		//		Log.info("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
+		//		Log.fine("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
 
 		ArrayList<String> resultNodePaths = TXMPreferences.getAllResultsNodePaths(this.getParametersNodeRootPath());
 
-		Log.info("Project.loadResults(): loading " + resultNodePaths.size() + " result(s) from project " + this.getName() + "...");
+		Log.info("Loading " + resultNodePaths.size() + " result(s) from project " + this.getName() + "...");
 
 		for (String parametersNodePath : resultNodePaths) {
 
@@ -392,21 +392,21 @@
 					continue;
 				}
 
-				Log.finest("\nProject.loadResults(): loading from result node qualifier " + parametersNodePath);
+				Log.fine("\nProject.loadResults(): loading from result node qualifier " + parametersNodePath);
 				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
 				//TXMPreferences.dump();
 				TXMResult result = TXMResult.getResult(this, parametersNodePath);
 				if (result != null) { // result already restored
 					continue;
 				}
-				Log.finest("Project.loadResults(): class = " + className); //$NON-NLS-1$
+				Log.fine("Project.loadResults(): class = " + className); //$NON-NLS-1$
 				//					Log.finest("Toolbox.initialize(): parent_uuid = " + TXMPreferences.getString(TXMPreferences.PARENT_UUID, nodeQualifier));
-				Log.finest("Project.loadResults(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
+				Log.fine("Project.loadResults(): parent_uuid = " + TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, "")); //$NON-NLS-1$
 				String bundleId = TXMPreferences.preferencesRootNode.node(parametersNodePath).get(TXMPreferences.BUNDLE_ID, ""); //$NON-NLS-1$
-				Log.finest("Project.loadResults(): bundle_id = " + bundleId); //$NON-NLS-1$
+				Log.fine("Project.loadResults(): bundle_id = " + bundleId); //$NON-NLS-1$
 				Bundle bundle = Platform.getBundle(bundleId);
 				if (bundle == null) {
-					Log.finest("Warning: can not restore object with bundle name " + bundleId); //$NON-NLS-1$
+					Log.warning("Warning: can not restore object with bundle name " + bundleId); //$NON-NLS-1$
 					continue;
 				}
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1551)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1552)
@@ -517,12 +517,12 @@
 		
 		boolean isAlreadyOpened = page.findEditors(chartEditorInput, editorPartId, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID).length > 0;
 		
-		Log.info("SWTChartsComponentsProvider.openEditor(): opening editor with id " + editorPartId);
+		Log.finest("SWTChartsComponentsProvider.openEditor(): opening editor with id " + editorPartId);
 		
 		// if the editor is already open or the charts engine can create the specified chart type
 		if(isAlreadyOpened || this.chartsEngine.canCreateChart(chartEditorInput.getResult()))	{
 			
-			//Log.info(this.name + " - Opening editor for result data type " + chartEditorInput.getResultData().getClass() + " and editor id " + editorPartId);
+			//Log.finest(this.name + " - Opening editor for result data type " + chartEditorInput.getResultData().getClass() + " and editor id " + editorPartId);
 
 			
 			try {
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1551)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1552)
@@ -549,7 +549,7 @@
 			return new ArrayList<Line>();
 		}
 		
-		Log.info(NLS.bind(ConcordanceCoreMessages.retrievingP0Results, to - from + 1));
+		Log.finest(NLS.bind(ConcordanceCoreMessages.retrievingP0Results, to - from + 1));
 
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 
@@ -821,7 +821,7 @@
 		}
 		List<Line> res = lines.subList(from, to + 1);// our to is inclusive,
 		// sublist's is exlusive
-		Log.info((to - from + 1) + ConcordanceCoreMessages.resultsRetrievedIn
+		Log.finest((to - from + 1) + ConcordanceCoreMessages.resultsRetrievedIn
 				+ (System.currentTimeMillis() - start) + "ms"); //$NON-NLS-1$ 
 		return res;
 	}
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 1551)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 1552)
@@ -75,7 +75,6 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		Log.info("ProgressionPreferencePage.init()" + ProgressionPreferences.CHART_CUMULATIVE); // $NON-NLS-1$
 		
 		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.getInstance().getPreferencesNodeQualifier()));
 		
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1551)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 1552)
@@ -398,24 +398,6 @@
 		}
 	}
 
-
-//	/**
-//	 * Updates the chart dirty state by comparing an old parameter with a new one.
-//	 * 
-//	 * @param lastValue may be null
-//	 * @param newValue may be null
-//	 */
-//	protected void updateChartDirty(Object lastValue, Object newValue) {
-//		if(lastValue == null && newValue == null)	{
-//			return;
-//		}
-//		if (lastValue == null || !lastValue.equals(newValue)) {
-//			Log.info("ChartResult.updateChartDirty(): " + this.getClass().getSimpleName() + ": setting chart dirty to true: last = "+ lastValue + " / new = " + newValue);
-//			this.chartDirty = true;
-//		}
-//	}
-	
-
 	@Override
 	public ChartResult clone() {
 		ChartResult clone = null;
